package daruma.sql;

import daruma.sql.TableColumnDefinition;
import java.util.List;

public class TableColumn
{
	private	TableColumnDefinition	definition;
	private	boolean			isEmptyColumn;
	private	String/*XXX*/		value;
	private	List<String>		subValues;

	public	TableColumn( TableColumnDefinition  definition ,
			     String/*XXX*/  value )
	{
		this.definition    = definition;
		this.value         = value;
		this.isEmptyColumn = false;
	}

	public	boolean	isEmptyColumn()
	{
		return( this.isEmptyColumn );
	}

	public	void	setIsEmptyColumn( boolean  emptyOrNot )
	{
		this.isEmptyColumn = emptyOrNot;
	}

	public	TableColumnDefinition	getDefinition()
	{
		return( this.definition );
	}

	public	void	setValue( String  value )
	{
		this.value = value;
	}

	public	String	getValue()
	{
		return( this.value );
	}

	public	void	setSubValues( List<String>  subValues )
	{
		this.subValues = subValues;
	}

	public	List<String>	getSubValues()
	{
		return( this.subValues );
	}
}
